Vehicle RC Check API

AI Tools

API FOR VERIFICATION OF INDIAN VEHICLE REGISTRATION CERTIFICATE (RC) NUMBER


Description

Vehicle Registration number (RC) also knows as Vehicle License number is a unique number assigned to every motorised vehicle by the regional transport authorities. The information of the vehicle thus registered, is digitally stored in a central transport database known as Parivahan maintained by the Ministry of Road, Transport and Highways (MoRTH) in India.

This API offers a real time verification of vehicle registration numbers and fetches live vehicle data as registered in the Parivahan database.


The legacy data processing model is being formally deprecated.

In order to ensure continued compliance with the Digital Personal Data Protection Act, 2023 (DPDP Act), we are implementing DPDP V3 (Consent-Driven Processing). Under this framework, clients are required to obtain explicit, informed, and verifiable consent from the data principal prior to accessing, processing, viewing, or storing any personal data through the platform. This regulatory transition may require modifications to existing configurations and workflows. Clients are advised to review and update their implementations to ensure ongoing compliance with applicable data protection obligations. Further information regarding this transition can be enquired here. Learn more about this change here.

API Details


Request

Type

URL

Current Version

POST

https://api.attestr.com/api/{version}/public/checkx/rc

v2

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

reg

Input vehicle RC number to be verified.

Required

v1


Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v1


String

Authorization

Basic {authToken}

Required

v1


Info

If you do not have the authentication token, please refer to Register App to generate one.

Sample Request Payload

{ "reg": "AP09CU7296" }

Response

HTTP Status 200

Info

Please note that the valid key decides the availability of rest of the keys in the response. If the provided RC number does not exist, all keys except valid and message are omitted. If true, remaining keys will have appropriate data.

Key

Description

Type

Min Version

Max Version

valid

True | false depending on if provided RC number exists and is valid

Boolean

v1


status

Vehicle registration status such as ACTIVE, NOC ISSUED etc.

String

v1


registered

Date of registration of the vehicle

Date

v1


owner

Name of the vehicle owner

String

v1


masked

Whether the owner name is masked

Boolean

v1


ownerNumber

Ownership number. Eg. if the current owner is the second owner of the vehicle, the value will be "2".

String

v1


father

Owner's father's name if available

String

v1


currentAddress

Current address of the owner as registered in the RTA database

String

v1


permanentAddress

Permanent address of the owner as registered in the RTA database

String

v1


mobile

Mobile of the owner if available

String

v1


category

Vehicle category

String

v1


categoryDescription

Vehicle category description

String

v1


chassisNumber

Chassis number as marked on the vehicle

String

v1


engineNumber

Engine number as marked on the vehicle

String

v1


makerDescription

Vehicle manufacturer details

String

v1


makerModel

Vehicle make and model

String

v1


makerVariant

Vehicle variant

String

v1


bodyType

Vehicle body type as registered

String

v1


fuelType

Vehicle fuel type - petrol, diesel, electric etc

String

v1


colorType

Vehicle color

String

v1


normsType

Vehicle norms if any

String

v1


fitnessUpto

Date upto which certificate of fitness is valid.

Date

v1


financed

Flag indicating if vehicle was financed by a lender at the time of purchase.

Boolean

v1


lender

Name of the lender if finance

String

v1


insuranceProvider

Name of the insurance company if insured

String

v1


insurancePolicyNumber

Insurance policy number if insured

String

v1


insuranceUpto

Date of insurance expiry

Date

v1


manufactured

Date of vehicle manufacturing

Date

v1


rto

Name of RTA office where vehicle is registered

String

v1


cubicCapacity

Engine cubic capacity of the vehicle

String

v1


grossWeight

Gross weight of the vehicle

String

v1


wheelBase

Length of the wheel base of the vehicle

String

v1


unladenWeight

Unladen weight of the vehicle

String

v1


cylinders

No of cylinders in the engine

String

v1


seatingCapacity

Total seating capacity of the vehicle

String

v1


sleepingCapacity

Total sleeping capacity if applicable

String

v1


standingCapacity

Total standing capacity if applicable

String

v1


pollutionCertificateNumber

Pollution certificate number if allotted

String

v1


pollutionCertificateUpto

Date of expiry of the pollution certificate

Date

v1


permitNumber

Special permit number issued if any

String

v1


permitIssued

Date on which the permit was issued

Date

v1


permitFrom

Date since permit is in-force / valid

Date

v1


permitUpto

Expiry date of the permit

Date

v1


taxUpto

Tax applicable upto date

Date

v1


taxPaidUpto

Tax paid upto date

Date

v1


nationalPermitNumber

National permit number if any

String

v1


nationalPermitIssued

Date of issue of the national permit

Date

v1


nationalPermitFrom

Date since national permit is valid/in-force

Date

v1


nationalPermitUpto

Date of expiry of the national permit

Date

v1


nationalPermitIssuedBy

Authority name that issued national permit

String

v2


blacklistStatus

Vehicle black list status

String

v1


blacklistDetails

Details of vehicle black list if available

Array

v2


nocDetails

Vehicle NOC details if applied for transfer to another state or for other purposes

String

v1


challanDetails

Challans if any.

String

v1


commercial

Whether the given vehicle is commercial or not.

Boolean

v2


exShowroomPrice

Vehicle ex-showroom price

String

v2


nonUseStatus

Vehicle status if non used

String

v2


nonUseTo

Non use to date

Date

v2


nonUseFrom

Non use from date

Date

v2


message

Error message if provided RC is invalid

String

v1


Sample Response

Sample response for valid RC

{ "valid": true, "status": "NOC ISSUED", "registered": "2009-10-30", "owner": "GITANJALI RAHEJA", "masked": false, "ownerNumber": "1", "father": "ASHOK RAHEJA", "currentAddress": "--", "permanentAddress": "--", "mobile": "", "category": "2WN", "categoryDescription": "M-Cycle/Scooter(2WN)", "chassisNumber": "ME4KC1234J57653", "engineNumber": "KC00487G2207", "makerDescription": "HONDA MOTORCYCLE AND SCOOTER INDIA (P) LTD", "makerModel": "UNICORN-ELECTRICSUTOSTARTWITHA", "makerVariant": null, "bodyType": "14", "fuelType": "PETROL", "colorType": "BLACK", "normsType": "Not Available", "fitnessUpto": "1800-01-01", "financed": false, "lender": "", "insuranceProvider": "", "insurancePolicyNumber": "", "insuranceUpto": "1800-01-01", "manufactured": "9/2009", "rto": "RTA-HYDERABAD-CZ, TELANGANA", "cubicCapacity": "149.00", "grossWeight": "316", "wheelBase": "1340", "unladenWeight": "146", "cylinders": "1", "seatingCapacity": "2", "sleepingCapacity": "0", "standingCapacity": "0", "pollutionCertificateNumber": "", "pollutionCertificateUpto": "1800-01-01", "permitNumber": "", "permitIssued": "1800-01-01", "permitFrom": "1800-01-01", "permitUpto": "1800-01-01", "permitType": "", "taxUpto": "1800-01-01", "taxPaidUpto": "LTT", "nationalPermitNumber": "", "nationalPermitIssued": null, "nationalPermitFrom": null, "nationalPermitUpto": "1800-01-01", "nationalPermitIssuedBy": null, "commercial": true, "blacklistStatus": "", "nocDetails": "NOC issued for BANGALORE,KARNATAKA vide no 9/45047 dated 18-Aug-2015", "challanDetails": null, "exShowroomPrice": null, "nonUseStatus": null, "nonUseFrom": null, "nonUseTo": null, "blacklistDetails": [] }

Sample response for invalid vehicle registration details

{ "valid": false, "message": "Provided vehicle registration number does not exist" }

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "code": 4001, "message": "Malformed data or missing required parameter values" }


  Last updated